Docs Rizler

Builder

Builder Chat

POSThttps://app.rizzdial.com/api/Workflow/builder/agent/chat
Builder Chat
curl --request POST \
  --url https://app.rizzdial.com/api/Workflow/builder/agent/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "message": "When a contact is created, send an SMS"
}'
{
  "graph": {
    "edges": [],
    "actions": [],
    "triggers": []
  },
  "reply": "Done.",
  "success": true
}

Builder Chat#

Describes a workflow in chat and returns a graph the builder can apply. Limited to 20 requests per minute.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

messagestringbodyrequired

What the workflow should do. Max 4000 characters

workflow_idstringbody

Optional base64 workflow id

current_graphobjectbody

Optional current triggers / actions / edges so the reply can extend it

historyarraybody

Optional prior chat turns

curl --request POST \
  --url https://app.rizzdial.com/api/Workflow/builder/agent/chat \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"message":"When a contact is created, send an SMS"}'
replystring

Short explanation of the graph

graphobject

triggers, actions, and edges to put on Save Builder